GET
/attribute-definitions List the tenant's searchable attribute definitions (catalog)
List the tenant's catalog.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
limit | query | integer default: 25 · min: 1 · max: 100 | Items per page, 1 to 100. |
cursor | query | string | The previous page's meta.pagination.next_cursor; omit it for the first page. A cursor not shaped like this list's is a 422. |
Responses
200Successful operation
{
"success": true,
"meta": {
"pagination": {
"limit": 25,
"has_more": true,
"next_cursor": "eyJpZCI6IjAxOTk3YzFlLTRkMmEtN2MzZS05YTFiLTJmMGU4YzZkNGI1YSJ9",
"previous_cursor": null
}
},
"data": [
{
"id": "01997c1e-4d2a-7c3e-9a1b-2f0e8c6d4b5a",
"key": "customer_id",
"label": "Customer ID",
"indexed": true,
"value_type": "decimal",
"usage_count": 1200,
"first_seen_at": null,
"last_seen_at": null,
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
]
} 401Unauthenticated
{
"success": false,
"message": "Validation failed",
"code": "VALIDATION_ERROR"
} 403Forbidden
{
"success": false,
"message": "Validation failed",
"code": "VALIDATION_ERROR"
} 422A malformed cursor, or one not shaped like this list's
{
"success": false,
"message": "Validation failed",
"code": "VALIDATION_ERROR"
} Examples
curl https://ledga.io/api/v1/attribute-definitions \
-H "Authorization: Bearer sk_xxxxxxxx_your_secret"